Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsLayoutDecoratorMapper

    java.lang.Object
      com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
          org.codehaus.groovy.grails.web.sitemesh.GrailsLayoutDecoratorMapper

All Implemented Interfaces:
  DecoratorMapper

    public class GrailsLayoutDecoratorMapper
    extends AbstractDecoratorMapper

Implements the SiteMesh decorator mapper interface and allows grails views to map to grails layouts.

Authors:
  Graeme Rocher

Method Summary
`protected Decorator` | `getApplicationDefaultDecorator(HttpServletRequest request)`
`Decorator` | `getDecorator(HttpServletRequest request, Page page)`
`Decorator` | `getNamedDecorator(HttpServletRequest request, java.lang.String name)`
`void` | `init(Config c, java.util.Properties properties, DecoratorMapper parentMapper)`
`java.lang.String` | `searchPluginViews(java.lang.String name, ResourceLoader resourceLoader)`

Method Detail

### getApplicationDefaultDecorator

    @SuppressWarnings("rawtypes")
    protected Decorator getApplicationDefaultDecorator(HttpServletRequest request)

### getDecorator

    @Override
    public Decorator getDecorator(HttpServletRequest request, Page page)

### getNamedDecorator

    @Override
    public Decorator getNamedDecorator(HttpServletRequest request, java.lang.String name)

### init

    @Override
    public void init(Config c, java.util.Properties properties, DecoratorMapper parentMapper)

### searchPluginViews

    public java.lang.String searchPluginViews(java.lang.String name, ResourceLoader resourceLoader)

Groovy Documentation